commit:     e9d48cd323445368eb3666e14929ec8bd674f9b6
Author:     Brian Evans <grknight <AT> tuffmail <DOT> com>
AuthorDate: Sun Aug  9 15:39:27 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 15:39:27 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9d48cd3

dev-db/mariadb Drop old

Signed-off-by: Brian Evans <grknight <AT> tuffmail.com>

 dev-db/mariadb/mariadb-10.0.20-r1.ebuild | 122 -------------------------------
 dev-db/mariadb/mariadb-10.0.20.ebuild    | 115 -----------------------------
 2 files changed, 237 deletions(-)

diff --git a/dev-db/mariadb/mariadb-10.0.20-r1.ebuild 
b/dev-db/mariadb/mariadb-10.0.20-r1.ebuild
deleted file mode 100644
index 1ad5303..0000000
--- a/dev-db/mariadb/mariadb-10.0.20-r1.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20150717-1707Z"
-HAS_TOOLS_PATCH="1"
-SUBSLOT="18"
-
-inherit toolchain-funcs mysql-multilib
-IUSE="${IUSE}"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
-
-# Official test instructions:
-# USE='embedded extraengine perl ssl static-libs community' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-multilib_src_test() {
-
-       if ! multilib_is_native_abi ; then
-               einfo "Server tests not available on non-native abi".
-               return 0;
-       fi
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       if use server ; then
-
-               # Bug #213475 - MySQL _will_ object strenously if your machine 
is named
-               # localhost. Also causes weird failures.
-               [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must 
NOT be named localhost"
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Create a symlink to provided binaries so the tests can find 
them when client-libs is off
-               if ! use client-libs ; then
-                       ln -srf /usr/bin/my_print_defaults 
"${BUILD_DIR}/client/my_print_defaults" || die
-                       ln -srf /usr/bin/perror "${BUILD_DIR}/client/perror" || 
die
-                       mysql-multilib_disable_test main.perror "String 
mismatch due to not building local perror"
-               fi
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might run out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # These are failing in MariaDB 10.0 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql main.bootstrap
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock
-               # main.mysql_client_test_comp:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       main.mysql_client_test_comp \
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help main.bootstrap \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-multilib_disable_test  "$t" "False 
positives in Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}"
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests" 
--reorder
-
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

diff --git a/dev-db/mariadb/mariadb-10.0.20.ebuild 
b/dev-db/mariadb/mariadb-10.0.20.ebuild
deleted file mode 100644
index fb96f68..0000000
--- a/dev-db/mariadb/mariadb-10.0.20.ebuild
+++ /dev/null
@@ -1,115 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-MY_EXTRAS_VER="20141215-0144Z"
-
-inherit toolchain-funcs mysql-multilib
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-
-# REMEMBER: also update eclass/mysql*.eclass before committing!
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
-
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
-
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
-
-# Official test instructions:
-# USE='embedded extraengine perl ssl static-libs community' \
-# FEATURES='test userpriv -usersandbox' \
-# ebuild mariadb-X.X.XX.ebuild \
-# digest clean package
-multilib_src_test() {
-
-       if ! multilib_is_native_abi ; then
-               einfo "Server tests not available on non-native abi".
-               return 0;
-       fi
-
-       local TESTDIR="${BUILD_DIR}/mysql-test"
-       local retstatus_unit
-       local retstatus_tests
-
-       # Bug #213475 - MySQL _will_ object strenously if your machine is named
-       # localhost. Also causes weird failures.
-       [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be 
named localhost"
-
-       if ! use "minimal" ; then
-
-               if [[ $UID -eq 0 ]]; then
-                       die "Testing with FEATURES=-userpriv is no longer 
supported by upstream. Tests MUST be run as non-root."
-               fi
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
-               addpredict /this-dir-does-not-exist/t9.MYI
-
-               # Run CTest (test-units)
-               cmake-utils_src_test
-               retstatus_unit=$?
-               [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
-
-               # Ensure that parallel runs don't die
-               export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
-               # Enable parallel testing, auto will try to detect number of 
cores
-               # You may set this by hand.
-               # The default maximum is 8 unless MTR_MAX_PARALLEL is increased
-               export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
-
-               # create directories because mysqladmin might right out of order
-               mkdir -p "${T}"/var-tests{,/log}
-
-               # These are failing in MariaDB 10.0 for now and are believed to 
be
-               # false positives:
-               #
-               # main.information_schema, 
binlog.binlog_statement_insert_delayed,
-               # main.mysqld--help, funcs_1.is_triggers, 
funcs_1.is_tables_mysql,
-               # funcs_1.is_columns_mysql main.bootstrap
-               # fails due to USE=-latin1 / utf8 default
-               #
-               # main.mysql_client_test, main.mysql_client_test_nonblock
-               # main.mysql_client_test_comp:
-               # segfaults at random under Portage only, suspect resource 
limits.
-               #
-
-               for t in main.mysql_client_test main.mysql_client_test_nonblock 
\
-                       main.mysql_client_test_comp \
-                       binlog.binlog_statement_insert_delayed 
main.information_schema \
-                       main.mysqld--help main.bootstrap \
-                       funcs_1.is_triggers funcs_1.is_tables_mysql 
funcs_1.is_columns_mysql ; do
-                               mysql-multilib_disable_test  "$t" "False 
positives in Gentoo"
-               done
-
-               # Run mysql tests
-               pushd "${TESTDIR}"
-
-               # run mysql-test tests
-               perl mysql-test-run.pl --force --vardir="${T}/var-tests"
-
-               retstatus_tests=$?
-               [[ $retstatus_tests -eq 0 ]] || eerror "tests failed"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               popd
-
-               # Cleanup is important for these testcases.
-               pkill -9 -f "${S}/ndb" 2>/dev/null
-               pkill -9 -f "${S}/sql" 2>/dev/null
-
-               failures=""
-               [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
-               [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
-               has usersandbox $FEATURES && eerror "Some tests may fail with 
FEATURES=usersandbox"
-
-               [[ -z "$failures" ]] || die "Test failures: $failures"
-               einfo "Tests successfully completed"
-
-       else
-
-               einfo "Skipping server tests due to minimal build."
-       fi
-}

Reply via email to